# typedef TFunc

#### package haxe.macro

#### import haxe.macro.Type

Available on Neko

Represents a function in the typed AST.

### Properties

###

`args:Array<{value:Null<TConstant>, v:TVar}>`

A list of function arguments identified by an argument variable `v` and an optional initialization `value`.

###

`expr:TypedExpr`

The expression of the function body.

###

`t:Type`

The return type of the function.